Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.sql
Class QXAConnection

    com.caucho.sql.QXAConnection

public class QXAConnection

Represents a single pooled connection. For the most part, it just passes the requests to the underlying JDBC connection.

Closing the connection will return the real connection to the pool and close any statements.

Field Summary
`protected static WriteStream` | `dbg`
`protected static L10N` | `L`

Method Summary
`void` | `commit(com.caucho.sql.Xid xid, boolean onePhase)` commit the resource
`void` | `end(com.caucho.sql.Xid xid, int flags)` ends work with the resource
`void` | `forget(com.caucho.sql.Xid xid)` forget about the transaction
`int` | `getTransactionTimeout()`
`com.caucho.sql.XAResource` | `getXAResource()`
`boolean` | `isSameRM(com.caucho.sql.XAResource resource)` identity of resources
`int` | `prepare(com.caucho.sql.Xid xid)` Vote using phase-1 of the 2-phase commit.
`com.caucho.sql.Xid[]` | `recover(int flag)` recover the transaction
`void` | `rollback(com.caucho.sql.Xid xid)` rollback the resource
`boolean` | `setTransactionTimeout(int seconds)` sets the transaction timeout
`void` | `start(com.caucho.sql.Xid xid, int flags)` starts work on a transaction branch

Field Detail

### dbg

    protected static WriteStream dbg

### L

    protected static L10N L

Method Detail

### getXAResource

    public com.caucho.sql.XAResource getXAResource()

### isSameRM

    public boolean isSameRM(com.caucho.sql.XAResource resource)
                     throws com.caucho.sql.XAException

  identity of resources

### start

    public void start(com.caucho.sql.Xid xid,
                      int flags)
               throws com.caucho.sql.XAException

  starts work on a transaction branch

### setTransactionTimeout

    public boolean setTransactionTimeout(int seconds)
                                  throws com.caucho.sql.XAException

  sets the transaction timeout

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws com.caucho.sql.XAException

### forget

    public void forget(com.caucho.sql.Xid xid)
                throws com.caucho.sql.XAException

  forget about the transaction

### prepare

    public int prepare(com.caucho.sql.Xid xid)
                throws com.caucho.sql.XAException

  Vote using phase-1 of the 2-phase commit.

### rollback

    public void rollback(com.caucho.sql.Xid xid)
                  throws com.caucho.sql.XAException

  rollback the resource

### commit

    public void commit(com.caucho.sql.Xid xid,
                       boolean onePhase)
                throws com.caucho.sql.XAException

  commit the resource

### recover

    public com.caucho.sql.Xid[] recover(int flag)
                                 throws com.caucho.sql.XAException

  recover the transaction

### end

    public void end(com.caucho.sql.Xid xid,
                    int flags)
             throws com.caucho.sql.XAException

  ends work with the resource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD